GradleDependency (Grails 6.0.0)

Package: org.grails.cli.profile.commands.io

## [Groovy] Class GradleDependency

- org.grails.cli.profile.commands.io.GradleDependency

-     class GradleDependency
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `private static java.util.Map<java.lang.String, java.lang.String>` | `SCOPE_MAP` |
    `private java.lang.String` | `dependency` |
    `private java.lang.String` | `scope` |

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `static java.util.Map<java.lang.String, java.lang.String>` | `SCOPE_MAP`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GradleDependency (java.lang.String scope, java.lang.String dependency)`
    `GradleDependency (org.springframework.boot.cli.compiler.dependencies.Dependency dependency)`
    `GradleDependency (java.lang.String scope, org.springframework.boot.cli.compiler.dependencies.Dependency dependency)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getScope()`
    `` | `java.lang.String` | `toString(int spaces)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### private static final java.util.Map<java.lang.String, java.lang.String> SCOPE_MAP

    - #### private java.lang.String dependency

    - #### private java.lang.String scope

  - ### Property Detail

    - #### static final java.util.Map<java.lang.String, java.lang.String> SCOPE_MAP

  - ### Constructor Detail

    - #### GradleDependency(java.lang.String scope, java.lang.String dependency)

    - #### GradleDependency(org.springframework.boot.cli.compiler.dependencies.Dependency dependency)

    - #### GradleDependency(java.lang.String scope, org.springframework.boot.cli.compiler.dependencies.Dependency dependency)

  - ### Method Detail

    - #### java.lang.String getScope()

    - #### java.lang.String toString(int spaces)